#!/bin/bash
diskusage=$(echo $(( 100-$2 )))
threshold="$diskusage"

i=2

result=`df -kh $1 |grep -v "Filesystem" | awk '{ print $5 }' | sed 's/%//g'`

for percent in $result; do

if ((percent > threshold))
then

partition=`df -kh $1 | head -$i | tail -1| awk '{print $1}'`

echo "$partition at $(hostname -f) is ${percent}% full, backups are set to require $2% available disk space"
exit 1

fi

let i=$i+1

done
